package com.meshsoftware.appmgmt;

/**
 * The Performance Metrics management interface 
 * exposing the host name of the server hosting the application 
 * and the response time as given by the application component 
 * 
 */

public interface PerformanceMetricsMBean {
    /**
     * Return the name of the server hosting the application..
     * @return the server's host name
     */
	public String getHostName();
    /**
     * Return the current response time measured
     * @return the current time measured
     */
	public String getResponseTime();


}